/*
			Format Manager Window Callbacks
 */

#ifndef FORMATCB_H
#define FORMATCB_H

#include <gtk/gtk.h>
#include "../edvtypes.h"
#include "formatmanager.h"


extern gint FormatManagerButtonPressEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint FormatManagerDiskIconExposeCB(
	GtkWidget *widget, GdkEventExpose *expose, gpointer data
);

extern gint FormatManagerFormatTOCB(gpointer data);

extern gint FormatManagerDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);

extern void FormatManagerStartCB(GtkWidget *widget, gpointer data);
extern void FormatManagerStopCB(GtkWidget *widget, gpointer data);
extern void FormatManagerClearCB(GtkWidget *widget, gpointer data);
extern void FormatManagerCloseBtnCB(GtkWidget *widget, gpointer data);

extern void FormatManagerSelectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);
extern void FormatManagerUnselectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);




#endif	/* FORMATCB_H */
